Skip to main content
POST
/
vpn
/
branding
/
create
Create VPN branding
curl --request POST \
  --url https://demo.onlinebillingform.com/api/v2/vpn/branding/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'business_name=<string>' \
  --form support_email=jsmith@example.com \
  --form logo_images='@example-file' \
  --form home_screen_1='@example-file' \
  --form home_screen_2='@example-file' \
  --form home_screen_3='@example-file'
import requests

url = "https://demo.onlinebillingform.com/api/v2/vpn/branding/create"

files = {
"logo_images": ("example-file", open("example-file", "rb")),
"home_screen_1": ("example-file", open("example-file", "rb")),
"home_screen_2": ("example-file", open("example-file", "rb")),
"home_screen_3": ("example-file", open("example-file", "rb"))
}
payload = {
"business_name": "<string>",
"support_email": "jsmith@example.com"
}
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('business_name', '<string>');
form.append('support_email', 'jsmith@example.com');
form.append('logo_images', '<string>');
form.append('home_screen_1', '<string>');
form.append('home_screen_2', '<string>');
form.append('home_screen_3', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://demo.onlinebillingform.com/api/v2/vpn/branding/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true
}
{
"success": false,
"errors": "Invalid API Key"
}
{
"success": false,
"errors": "Insufficient permissions for this endpoint."
}
{
"success": false,
"errors": {
"id": [
"The id field is required."
]
}
}

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <live_api_key>.

Body

multipart/form-data
business_name
string
required
support_email
string<email>
required
logo_images
file
required
home_screen_1
file
required
home_screen_2
file
required
home_screen_3
file
required

Response

OK

success
boolean